Reports

Subscriptions stats

Returns active subscription and MRR stats over time for subscription stores. Responses are capped
at 1500 time periods.

GET /api/v1/store/reports/subscriptions-stats

Subscriptions stats

curl --request GET \
  --url 'https://{baseUrl}/api/v1/store/reports/subscriptions-stats' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "meta": {
    "report_link": "https://app.metorik.com/reports/subscriptions"
  },
  "totals": {
    "active_subscriptions": 312,
    "active_paid_subscriptions": 284,
    "active_free_subscriptions": 28,
    "mrr": 18450,
    "new_subscriptions": 24,
    "new_subscriptions_mrr": 1320,
    "churned_subscriptions": 8,
    "churned_subscriptions_mrr": 410
  },
  "data": [
    {
      "date": "2026-03-01",
      "active_subscriptions": 301,
      "active_paid_subscriptions": 274,
      "active_free_subscriptions": 27,
      "mrr": 17990,
      "new_subscriptions": 3,
      "new_subscriptions_mrr": 180,
      "churned_subscriptions": 1,
      "churned_subscriptions_mrr": 45
    }
  ]
}

No response description.

Authorizations

  • Authorization string required header

    Generate a store API key from the store's Metorik API settings in Metorik, and choose the scopes needed for the endpoints you want to call.

Query Parameters

  • end_date string required

    End date in the store timezone using YYYY-MM-DD format. Example: 2026-03-31

  • group_by string enum

    Time interval for grouping the results. Example: day

  • start_date string required

    Start date in the store timezone using YYYY-MM-DD format. Example: 2026-03-01

Headers

  • Accept string required

    Response format header. Example: application/json

Response

application/json
  • meta object
    + Show Child Attributes
    • report_link string
  • totals object
    + Show Child Attributes
    • active_subscriptions integer
    • active_paid_subscriptions integer
    • active_free_subscriptions integer
    • mrr integer
    • new_subscriptions integer
    • new_subscriptions_mrr integer
    • churned_subscriptions integer
    • churned_subscriptions_mrr integer
  • data[] object array
    + Show Child Attributes
    • date string
    • active_subscriptions integer
    • active_paid_subscriptions integer
    • active_free_subscriptions integer
    • mrr integer
    • new_subscriptions integer
    • new_subscriptions_mrr integer
    • churned_subscriptions integer
    • churned_subscriptions_mrr integer